
#ifndef VIEWER_H
#define VIEWER_H     


#include <qwidget.h>
#include <qfont.h>

class TQTextView;
class TQPushButton;

class Viewer : public TQWidget
{
Q_OBJECT

public:   
    Viewer();

private slots:
    void setDefault();
    void setSansSerif();
    void setItalics();

private:
    void setFontSubstitutions();
    void layout();
    void showFontInfo( TQFont & );

    TQTextView * greetings; 
    TQTextView * fontInfo;

    TQPushButton * defaultButton;
    TQPushButton * sansSerifButton;
    TQPushButton * italicsButton;
};

#endif
