#ifndef IPCSERVER_H
#define IPCSERVER_H

#include <qserversocket.h>

class IpcServer : public TQServerSocket
{
    Q_OBJECT

public:
    IpcServer( Q_UINT16 port, TQObject *parent );

    void newConnection( int socket );

signals:
    void receivedText( const TQString& );
    void receivedPixmap( const TQPixmap& );
};

#endif // IPCSERVER_H
